Agents
List campaign agents
Retrieve every non-archived Campaign Manager agent on your account with limit and offset pagination.
GET
/
api
/
v1
/
account
/
{account_id}
/
campaign
/
agents
List campaign agents
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.integer
default:"20"
Number of agents to return per page.
integer
default:"0"
Number of agents to skip before returning results.
Example
cURL
curl "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents?limit=20&offset=0" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}"
Response
200 OK
{
"objects": [
{
"id": "9f1c4b6a-2f0e-4a3d-8b21-6c5f0d9a7e42",
"name": "Appointment Reminder Agent",
"answer_url": "https://example.com/answer",
"answer_method": "POST"
}
],
"total": 5,
"limit": 20,
"offset": 0
}
total reflects the unpaginated count.Was this page helpful?
⌘I
List campaign agents
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));